<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" class="main-bg" style="width: 100%; height: 100%;">
	<TR valign="top">
		<TD height="100%" name="SB_stretch" style="background-image: url('images/lbg.gif');">
			<table cellpadding="0" cellspacing="0" border="0" style="width:233px ; height: 100%;">
				<tr><td class="color-bg"><img src="images/lbg_t.gif" border="0" alt="" width="233" height="90"/></td></tr>
				<tr>
					<td height="248" style="background-image: url('images/submenu_bg.gif');">
						<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-color: #EBEBEB; background-image: url('images/submenu_bg.jpg'); background-repeat: no-repeat;">
							<tr>
								<td valign="top" style="padding-left: 10px;">
									<!-- MENU -->
									<table cellpadding="0" cellspacing="0" width="165" align="center">
										<xsl:call-template name="TOP-MENU"/>
									</table>
									<!-- END MENU -->
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td height="100%" valign="top" style="padding: 25px 0 25px 10px;">
						<!-- SUBMENU -->
						<table cellpadding="0" cellspacing="0" width="165" align="right">
							<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
							<tr><td colspan="3" height="1" bgcolor="#5A5A5A"></td></tr>
						</table>
						<!-- END SUBMENU -->
					</td>
				</tr>
				<tr>
					<td height="84" class="footer" style="background-color: #EBEBEB; background-image: url('images/footer_bg.gif'); padding: 5px 35px 5px 45px;">
						<!-- FOOTER -->
						<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
						<!-- END FOOTER -->
					</td>
				</tr>
			</table>
		</TD>
		<TD width="100%" style="background-image: url('images/bg.gif'); background-position: right; background-repeat: repeat-y;">
			<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
				<tr>
					<td height="88" class="color-bg" style="background-image: url('images/logo_bg.gif');">
						<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/logo_bg.jpg'); background-position: right; background-repeat: no-repeat;">
							<tr>
								<td style="padding-right: 40px;">
									<!-- LOGO -->
									<table cellpadding="0" cellspacing="0" align="right">
										<tr>
											<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
											<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0" style="margin-left: 5px;"/></a></td>
										</tr>
										<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
									</table>
									<!-- END LOGO -->
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td height="224" align="right" style="background-image: url('images/header_bg.gif'); background-repeat: repeat-x;"><img src="images/header.jpg" border="0" alt=""/></td>
				</tr>
				<tr>
					<td height="100%" valign="top" class="pageContent" style="padding: 20px; background-image: url('images/bg_br.gif'); background-position: bottom right; background-repeat: no-repeat;">
						<!-- CONTENT -->
						<table cellpadding="0" cellspacing="0" border="0">
							<tr>
								<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
								<td style="padding-left: 5px;"><img src="images/txtheader_bullet.gif" border="0" alt=""/></td>
							</tr>
						</table>
						<div style="width:0px; height:15px;"><span></span></div>
						<xsl:apply-templates select="PAGE-CONTENT"/>
						<!-- END CONTENT -->
					</td>
				</tr>
				<tr>
					<td height="56" class="color-bg" style="background-image: url('images/bmenu_bg.gif');">
						<!-- BOTTOM MENU -->
						<table cellpadding="0" cellspacing="0" align="center" style="height: 100%;">
							<tr>
								<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
								<xsl:call-template name="BOTTOM-MENU"/>
								<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
							</tr>
						</table>
						<!-- END BOOTTOM MENU -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
</TABLE>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td height="30" style="padding-right: 5px;"><img src="images/submenu_lbullet.gif" border="0" alt=""/></td>
				<td class="asubmenu" width="100%"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				<td align="center" style="padding: 0 5px; border-right: 1px solid #5A5A5A"><img src="images/submenu_bullet.gif" border="0" alt=""/><div style="width:25px; height:0px;"><span></span></div></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td height="30" style="padding-right: 5px;"><img src="images/submenu_lbullet.gif" border="0" alt=""/></td>
					<td width="100%"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td align="center" style="padding: 0 5px;  border-right: 1px solid #5A5A5A"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="3" height="1" bgcolor="#5A5A5A"></td></tr>
		<tr><td colspan="3" height="11"></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="5"></td>
			<td valign="bottom"><img src="images/bmenu_separator.gif" alt="" style="margin: 0px 5px 0px 5px;"/></td>
			<td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
