<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>

</head>

<body MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-color:#CCCCCC; background-image: url('images/bg.jpg');">
	<tr>
		<td>
			<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
			  <tr>
			    <td height="54" valign="bottom" background="images/menu_bg.gif" style="padding-left:43px;">
					<!-- MENU -->
					<table border="0" height="44" cellpadding="0" cellspacing="0" class="menu">
			     		<tr>
							<xsl:call-template name="TOP-MENU"/>
						</tr>
			    	</table>
					<!-- MENU -->	
				</td>
			    <td  height="54" align="right" valign="bottom" background="images/menu_bg.gif"><img src="images/headers_2.jpg"  /></td>
			  </tr>
			  
			  <tr>
			    <td height="209" colspan="2" align="right" valign="top" background="images/heads_bg.jpg" >
					<table width="100%" border="0" cellspacing="0" cellpadding="0" background="images/heads_bg.jpg">
			      		<tr>
			        		<td height="209" align="left" valign="top" style="background:url(images/headers.jpg) top right no-repeat;">
								<table width="100%" border="0" cellspacing="0" cellpadding="0">
			          				<tr>
										<td height="38" colspan="2"></td>
			            			</tr>
			          				<tr>
			            				<td width="43" rowspan="4"></td>
			            				<td align="left">
											<!-- LOGO -->
											<table border="0" cellspacing="0" cellpadding="0">
			              						<tr>
			                						<td rowspan="2" align="center" style="padding-left:14px; padding-right:14px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
			                						<td height="14" align="left" valign="bottom" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
			              						</tr>
			              						<tr>
			                						<td align="left" class="slogan" height="4" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
			              						</tr>
											</table>
											<!-- END LOGO -->			
										</td>
			          				</tr>
			          				<tr>
			            				<td height="43" align="left"></td>
			          				</tr>
			         				<tr>
			            				<td align="left">
											<div id="Layer4">
											<!-- SUBMENU -->
			              					<table width="227" border="0" cellspacing="0" cellpadding="0">
			                					<tr>
			                  						<td background="images/smenu_bg.jpg" align="center">
														<table width="172" border="0" cellspacing="0" cellpadding="0" >
								  							<tr>
			                        							<td height="40" colspan="3"></td>
			                        						</tr>
															<tr>
																<td>
			               			    							<xsl:call-template name="SUB-MENU">
			               			      							<xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
																</td>
															</tr>
									 						<tr>
			                   									<td height="40" colspan="3"></td>
			                 								</tr>
			              								</table>
													</td>
												</tr>
			                					<tr>
			                  						<td><img src="images/smenu_bg2.jpg" width="227" height="5" /></td>
												</tr>
			              					</table>
											<!-- END SUBMENU -->
			            					</div>
										</td>
			          				</tr>
			          				<tr>
			            				<td align="left"></td>
			          				</tr>
			        			</table>
							</td>
			      		</tr>
			    	</table>
				</td>
			  </tr>
			  
			  <tr>
			    <td height="1" colspan="2" bgcolor="#E5E6E8"></td>
			  </tr>
			  
			  <tr>
			    <td colspan="2" valign="top">
					<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
			      		<tr>
			        		<td width="297" rowspan="3" align="left"><div style="width:297px; height:0px;"></div></td>
			        		<td height="30"></td>
			        		<td width="30" rowspan="3" align="right"><div style="width:30px; height:0px;"></div></td>
			      		</tr>
			      		<tr>
			        		<!-- CONTANT -->
			        		<td align="left" valign="top">
								<table height="100%" width="100%" border="0" cellspacing="10" cellpadding="0">
									<tr>
										<td height="55">
											<table height="100%" border="0" cellpadding="0" cellspacing="0">
												<tr>
													<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
			                						<td width="30" align="right"><img src="images/text_head.gif" /></td>
												</tr>
											</table>
										</td>
			              			</tr>
									<tr>
										<td class="pageContent" name="SB_stretch" valign="top"><xsl:apply-templates select="PAGE-CONTENT"/></td>
									</tr>
								</table>
							</td>
							<!-- END CONTANT -->
			        	</tr>
			    	</table>
				</td>
			  </tr>
			  
			  <tr>
			    <td height="1" colspan="2" bgcolor="#E5E6E8"></td>
			  </tr>
			  
			  <tr>
			    <td height="46" colspan="2" valign="bottom" background="images/dmenu_bg.jpg">
					<!-- BOTTOM MENU -->
						<table border="0" align="center" cellpadding="0" cellspacing="0" class="bmenu">
			       			<tr><xsl:call-template name="BOTTOM-MENU"/></tr>
			    		</table>
					<!-- BOTTOM MENU -->
				</td>
			  </tr>
			  
			  <tr>
			  	<!-- FOOTER -->
			    <td height="46" colspan="2" background="images/foot_bg.jpg" align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
			  	<!-- FOOTER -->
			  </tr>
			  
			</table>
		</td>
	</tr>
</table>
</body>
</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td class="asubmenu" style="padding-right: 5px; width: 100%;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				<td><img src="images/submenu_bullet_active.gif" border="0" alt=""/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td style="padding-right: 5px; width: 100%;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="20"><div style="height:2px; background-image: url('images/submenu_hr.gif'); background-repeat: repeat-x;"><span></span></div></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td align="center" valign="top"><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			
			<td align="center" class="abmenu" valign="top"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            
           </xsl:when>
           <xsl:otherwise>
		   
			<td align="center" valign="top"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="30" align="center" valign="bottom" rowspan="2"><img src="images/bmenu_separator.gif" /></td>
			
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>

